﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace WpfApplication96
{
   public class Person:INotifyPropertyChanged
    {
       string name = string.Empty;
       public string Name
       {
           get { return name; }
           set { name = value;
           NotifyPropertyChanged("Name");
           }
       }

       int catetgory = 0;
       public int Category
       {
           get { return catetgory; }
           set { catetgory = value;
           NotifyPropertyChanged("Category");
           }
       }

       #region INotifyPropertyChanged Members

       public event PropertyChangedEventHandler PropertyChanged;
       private void NotifyPropertyChanged(String info)
       {
           if (PropertyChanged != null)
           {
               PropertyChanged(this, new PropertyChangedEventArgs(info));
           }
       }


       #endregion
    }
}
